DRIVER ATI

4 risposte [Ultimo messaggio]
Ritratto di Alberto
Alberto
(Geek)
Offline
Geek
Iscritto: 01/01/2005
Messaggi: 76

Ieri Ho installato il nuovo Kernel su SUSE 11.1 , ho riavviato e la scheda video ATI non venniva piu' riconosciuta , neanche reinstallandola.

Ho scaricato la nuova versione dal sito AMD ma nulla anche con l'ultima versione dei cìdriver niente la scheda non si installava.

Il problema penso sia nel Kernel perche' poi ho reinstallato il precedente Kernel e tutto ha ripreso a funzionare.

La scheda e' una HD4730

Qualcuno ha avuto la mia stessa esperienza ?

Saluti

Alberto

Ritratto di bagarozzo85
bagarozzo85
(Guru)
Offline
Guru
Iscritto: 16/06/2006
Messaggi: 1050

Ciao,
riportaci l'output del seguente comando mentre stai usando il nuovo kernel:
uname -a

Ritratto di Jimbo
Jimbo
(Geek)
Offline
Geek
Iscritto: 27/09/2007
Messaggi: 74

In effetti ho avuto lo stesso problema ma con:
opensuse 11.2 64bit e ATI Radeon HD 3200

Linux lucy 2.6.31.14-0.1-desktop #1 SMP PREEMPT 2010-09-17 11:32:00 +0200 x86_64 x86_64 x86_64 GNU/Linux

Prendevo l'errore alla linea 196 del file
/usr/src/kernel-modules/fglrx/kcl_ioctl.c

poi cercando su google ho capito che dovevo modificare:
return compat_alloc_user_space(size);
in
return arch_compat_alloc_user_space(size);

Dunque sono andato a cercare come scompattare l'rpm ed ho trovato:
rpm2cpio < fglrx64_7_4_0_SUSE112-8.771-1.x86_64.rpm | cpio -imdv

mi ha ricreato le directory etc e usr sotto la directory corrente con i file che ora posso modificare.

Domanda: ma ora come faccio a ricostruire l'rpm?

Ritratto di Jimbo
Jimbo
(Geek)
Offline
Geek
Iscritto: 27/09/2007
Messaggi: 74

OK era più facile di quel che sembrava...
infatti dopo aver modificato il file di cui sopra si può rilanciare l'intallazione manuale, senza invocare rmp che ricoprirebbe le modifiche.
Le istruzioni erano banalmente stampate dopo l'errore.

Ciao.
e chiudo.

Ritratto di Lino50
Lino50
(Junior)
Offline
Junior
Iscritto: 10/12/2006
Messaggi: 34

Effettivamente i problemi sono con il nuovo kernel, 2.6.34.7-0.3, ma anche in un bug dei nuovi driver proprietari di Ati che, dovrebbero essere risolti con la prossima versione 10.10, di fatto non vengono installati quelli per il 3d,
sul forum in inglese ce la soluzione, rimanda ad un sito in tedesco, ma basta fare un copia e incolla su un terminale aperto come root.
Questi i due link:
http://forums.opensuse.org/english/get-help-here/hardware/447428-permanent-solution-fglrx-kernel-2-6-34-7-0-3-1-issue.html

http://www.sebastian-siebert.de/2010/09/16/opensuse-11-3-proprietaeren-grafik-treiber-ati-catalyst-10-9-als-rpm-installieren/#troubleshooting8

MB Asrock Z170 Extreme4-cpu Intel i7 Skylake 6700K - ram 16 GB DDR4 Corsair Vengeance LPX, 1 SSD Samsung 840 Pro 256 GB, 1 SSD Samsung 850 EVO 500 GB + 2 HDD da 1TB WDB, video Asus strix GTX970